#
# spec file for package khtml
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5KHtml5
%define _tar_path 5.26
Name:           khtml
Version:        5.26.0
Release:        1.2
%define kf5_version %{version}
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  giflib-devel
BuildRequires:  karchive-devel >= %{_tar_path}
BuildRequires:  kcompletion-devel >= %{_tar_path}
BuildRequires:  kconfigwidgets-devel >= %{_tar_path}
BuildRequires:  kcoreaddons-devel >= %{_tar_path}
BuildRequires:  kcrash-devel >= %{_tar_path}
BuildRequires:  kdbusaddons-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  kglobalaccel-devel >= %{_tar_path}
BuildRequires:  kguiaddons-devel >= %{_tar_path}
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  kiconthemes-devel >= %{_tar_path}
BuildRequires:  kinit-devel >= %{_tar_path}
BuildRequires:  kio-devel >= %{_tar_path}
BuildRequires:  kitemviews-devel >= %{_tar_path}
BuildRequires:  kjs-devel >= %{_tar_path}
BuildRequires:  knotifications-devel >= %{_tar_path}
BuildRequires:  kparts-devel >= %{_tar_path}
BuildRequires:  kservice-devel >= %{_tar_path}
BuildRequires:  ktextwidgets-devel >= %{_tar_path}
BuildRequires:  kwallet-framework-devel >= %{_tar_path}
BuildRequires:  kwindowsystem-devel >= %{_tar_path}
BuildRequires:  kxmlgui-devel >= %{_tar_path}
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5DBus) >= 5.5.0
BuildRequires:  cmake(Qt5Network) >= 5.5.0
BuildRequires:  cmake(Qt5PrintSupport) >= 5.5.0
BuildRequires:  cmake(Qt5Test) >= 5.5.0
BuildRequires:  cmake(Qt5Widgets) >= 5.5.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.5.0
BuildRequires:  cmake(Qt5Xml) >= 5.5.0
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(x11)
Summary:        HTML rendering engine
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/portingAids/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KHTML is a web rendering engine, based on the KParts
technology and using KJS for JavaScript support.

%package -n %lname
Summary:        HTML rendering engine
Group:          System/GUI/KDE
Obsoletes:      libKF5KHtml4
%if %{with lang}
Recommends:     %lname-lang = %{version}
%endif

%description -n %lname
KHTML is a web rendering engine, based on the KParts
technology and using KJS for JavaScript support.

%package devel
Summary:        HTML rendering engine
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       extra-cmake-modules
Requires:       kcodecs-devel >= %{_tar_path}
Requires:       ki18n-devel >= %{_tar_path}
Requires:       kio-devel >= %{_tar_path}
Requires:       kjs-devel >= %{_tar_path}
Requires:       kparts-devel >= %{_tar_path}
Requires:       ktextwidgets-devel >= %{_tar_path}
Requires:       cmake(Qt5Gui) >= 5.5.0

%description devel
KHTML is a web rendering engine, based on the KParts
technology and using KJS for JavaScript support.
Development files.

%lang_package -n %lname
%prep
%setup -q

%build
  %cmake_kf5 -d build -- -DSYSCONF_INSTALL_DIR=%{_kf5_sysconfdir}
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%if %{with lang}
%files -n %lname-lang -f %{name}5.lang
%endif

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5KHtml.so.*
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
%{_kf5_datadir}/kjava/
%{_kf5_datadir}/khtml/
%config %{_kf5_configdir}/khtmlrc

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5KHtml.so
%{_kf5_libdir}/cmake/KF5KHtml/
%{_kf5_includedir}/*.h
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_mkspecsdir}/qt_KHtml.pri

%changelog
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * Support percentage unit in border radius
  * Removed prefixed version of background and
    border radius properties
  * Fixes in 4-values shorthand constructor function
  * Create string objects only if they will be used
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Fix applying inherit value for outline shorthand property
  * Handle initial and inherit for border radius
  * Discard property if we caught an invalid length|percent
    as background-size
  * cssText must output comma separated values for those properties
  * Fix parsing background-clip in shorthand
  * Implement background-size parsing in shorthand
  * Mark properties as set when repeating patterns
  * Fix background properties inheritance
  * Fix applying Initial and Inherit for background-size property
  * Deploy the khtml kxmlgui file in a Qt resource file
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Fix potential memory leak reported by Coverity and
    simplify the code
  * The number of layers is determined by the number of
    comma-separated values in the ‘background-image’ property
  * Fix parsing background-position in shorthand declaration
  * Do not create new fontFace if there is no valid source
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Implement toString for Uint8ArrayConstructor and friends
  * Merge in several Coverity-related fixes
  * Correctly use QCache::insert
  * Fix some memory leaks
  * Sanity check CSS web font parsing, avoid potential mem leak
  * dom: Add tag priorities for 'comment' tag
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Fix cursor updating in view
  * Limit string memory use
  * KHTML java applet viewer: repair broken DBus call to kpasswdserver
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * Fix detection of icon link type (aka "favicon")
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * Windows: remove kdewin dependency
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * Fix printing from KHTMLPart by correctly setting printSetting parent
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Replace std::auto_ptr with std::unique_ptr
  * khtml-filter: Discard rules containing special adblock features
    that we do not handle yet.
  * khtml-filter: Code reorder, no functional changes.
  * khtml-filter: Ignore regexp with options as we do
    not support them.
  * khtml-filter: Fix detection of adblock options delimiter.
  * khtml-filter: Clean up from trailing white spaces.
  * khtml-filter: Do not discard lines starting with '&' as it
    is not a special adblock char.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Let KHtml be useable w/o searching for private deps
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * 6 bug fixes forward-ported from kdelibs4.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * A number of forward-ported fixes from kdelibs, no API changes.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
- Drop 0001-Fix-build-with-giflib-5.1.patch, merged upstream
* Mon Jun 16 2014 hrvoje.senjan@gmail.com
- Added 0001-Fix-build-with-giflib-5.1.patch from upstream
* Wed Jun 11 2014 hrvoje.senjan@gmail.com
- Simplify filelist (also makes dir ownership more correct)
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init khtml package
